import 'package:flyinsono/pages/auth/widgets/code_field.dart';
import 'package:get/get.dart';

import 'controller.dart';

///登出界面依赖绑定
class SignUpBinding implements Bindings {
  @override
  void dependencies() {
    final tag = SignUpController.C_VERIFICATION_CONTROLLER_TAG;
    if (!Get.isRegistered<VerificationCodeFieldController>(tag: tag)) {
      Get.lazyPut(
        () => VerificationCodeFieldController(countDown: 120),
        tag: tag,
      );
    }
    Get.lazyPut<SignUpController>(() => SignUpController());
  }
}
